### Constructor

# Gtk.FilterListModel.new

#### Declaration [src]

    GtkFilterListModel*
    gtk_filter_list_model_new (
      GListModel* model,
      GtkFilter* filter
    )

#### Description [src]

Creates a new `GtkFilterListModel` that will filter `model` using the given `filter`.

#### Parameters

`model` | `GListModel*`
| the model to sort, or `NULL`
| Can be `NULL`
| Ownership of the data is transferred to the callee
`filter` | `GtkFilter`
| filter or `NULL` to not filter items
| Can be `NULL`
| Ownership of the data is transferred to the callee

#### Return value

Returns: `GtkFilterListModel`
a new `GtkFilterListModel`
Ownership of the data is transferred to the caller